# Retrieve entities using a search query

Lists entities that match the criteria. This endpoint supports sorted pagination using the search-after property.

Endpoint: GET /api/entities/searchAfter
Version: v1.0
Security: OAuth2.0

## Query parameters:

  - `query` (string, required)
    The search query, for example, Definition.Name == 'M.Asset'.

  - `take` (integer)
    Number of entities to retrieve, for example, 25. The maximum is 100.

  - `members` (string)
    Comma-separated list of members to retrieve, for example, Title,Filename.

  - `renditions` (string)
    Comma-separated list of renditions to retrieve, for example, Preview,Thumbnail.

  - `culture` (object)
    The culture code of the user, for example, en-US.

  - `sort` (string)
    Sort field, for example, created_on.

  - `order` (string)
    Sort order, for example, desc.

  - `sortCulture` (object)
    Used for sorting operations, affecting the order of strings based on language-specific rules, for example, en-US.

  - `searchAfter` (array)
    To retrieve the next page of results using a set of sort values from the previous results. For example, if you make a request and receive 100 results, ending with entity_id_1, your subsequent query can include search_after=entity_id_1 to fetch the next page.

  - `nestedRelations` (array)
    Nested relations to retrieve, for example, Children,Parent.

## Response 200 fields (application/json):

  - `last_hit_data` (array,null)
    The last returned hits, which are used to fetch the next page of results.

  - `items` (array,null)
    Gets or sets the list of items.

  - `items.id` (integer)
    The ID for the entity, for example 39752.

  - `items.identifier` (string,null)
    The identifier for the entity.

  - `items.cultures` (array,null)
    The cultures associated with the entity, for example en-US.

  - `items.properties` (object,null)
    The properties of the entity.

  - `items.relations` (object,null)
    The relations of the entity.

  - `items.created_by` (object)
    Represents a link to a resource.

  - `items.created_by.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.created_by.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.created_by.title` (string,null)
    Gets or sets the title that describes this link.

  - `items.created_by.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `items.created_on` (string)
    The date and time when the entity was created.

  - `items.modified_by` (object)
    Represents a link to a resource.

  - `items.modified_by.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.modified_by.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.modified_by.title` (string,null)
    Gets or sets the title that describes this link.

  - `items.modified_by.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `items.modified_on` (string)
    The date and time when the entity was last modified.

  - `items.locked_by` (object)
    Represents a link to a resource.

  - `items.locked_by.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.locked_by.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.locked_by.title` (string,null)
    Gets or sets the title that describes this link.

  - `items.locked_by.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `items.locked_on` (string,null)
    The date and time when the entity was locked.

  - `items.entitydefinition` (object)
    Represents a link to a resource.

  - `items.entitydefinition.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.entitydefinition.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.entitydefinition.title` (string,null)
    Gets or sets the title that describes this link.

  - `items.entitydefinition.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `items.copy` (object)
    Represents a link to a resource.

  - `items.copy.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.copy.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.copy.title` (string,null)
    Gets or sets the title that describes this link.

  - `items.copy.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `items.copyasync` (object)
    Represents a link to a resource.

  - `items.copyasync.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.copyasync.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.copyasync.title` (string,null)
    Gets or sets the title that describes this link.

  - `items.copyasync.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `items.permissions` (object)
    Represents a link to a resource.

  - `items.permissions.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.permissions.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.permissions.title` (string,null)
    Gets or sets the title that describes this link.

  - `items.permissions.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `items.requested_permissions` (object,null)
    The requested permissions with identification if a certain user has the permissions.

  - `items.lifecycle` (object)
    Represents a link to a resource.

  - `items.lifecycle.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.lifecycle.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.lifecycle.title` (string,null)
    Gets or sets the title that describes this link.

  - `items.lifecycle.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `items.saved_selections` (object)
    Represents a link to a resource.

  - `items.saved_selections.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.saved_selections.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.saved_selections.title` (string,null)
    Gets or sets the title that describes this link.

  - `items.saved_selections.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `items.roles` (object)
    Represents a link to a resource.

  - `items.roles.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.roles.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.roles.title` (string,null)
    Gets or sets the title that describes this link.

  - `items.roles.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `items.annotations` (object)
    Represents a link to a resource.

  - `items.annotations.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.annotations.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.annotations.title` (string,null)
    Gets or sets the title that describes this link.

  - `items.annotations.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `items.is_root_taxonomy_item` (boolean,null)
    Gets or sets a value indicating whether the entity is a root taxonomy item.

  - `items.is_path_root` (boolean,null)
    Gets or sets a value indicating whether the entity is a path root.

  - `items.inherits_security` (boolean)
    Gets or sets a value indicating whether the entity inherits security.

  - `items.is_system_owned` (boolean)
    Gets or sets a value indicating whether the entity is system owned.

  - `items.version` (integer)
    The version of the entity.

  - `items.full` (object)
    Represents a link to a resource.

  - `items.full.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.full.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.full.title` (string,null)
    Gets or sets the title that describes this link.

  - `items.full.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `items.modules` (array,null)
    The modules associated with the entity.

  - `items.self` (object)
    Represents a link to a resource.

  - `items.self.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.self.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.self.title` (string,null)
    Gets or sets the title that describes this link.

  - `items.self.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `total_items` (integer,null)
    Gets or sets the total number of items.

  - `returned_items` (integer,null)
    Gets or sets the number of returned items.

  - `offset` (integer,null)
    Gets or sets the offset of the items.

  - `next` (object)
    Represents a link to a resource.

  - `next.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `next.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `next.title` (string,null)
    Gets or sets the title that describes this link.

  - `next.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `previous` (object)
    Represents a link to a resource.

  - `previous.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `previous.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `previous.title` (string,null)
    Gets or sets the title that describes this link.

  - `previous.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `identifier` (string,null)
    Gets or sets the identifier of the resource.

  - `self` (object)
    Represents a link to a resource.

  - `self.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `self.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `self.title` (string,null)
    Gets or sets the title that describes this link.

  - `self.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.


## Response 400 fields

## Response 401 fields
